# Class default

- Defined in src/offline/ServiceManager.js:24
- Defined in src/offline/ServiceManager.js:135

#####
Index

### Constructors

constructor

### Properties

module

### Methods

cancel
getOfflineService_
restore
save
setRestoreService
setSaveService

## Constructors

### constructor

- new default($injector): default

- #### Parameters

  - $injector: IInjectorService

    Main injector.

  #### Returns default

  #### Struct

  #### Ng Inject

  #### Ngdoc

  service

  #### Ngname

  ngeoOfflineServiceManager

  - Defined in src/offline/ServiceManager.js:32

## Properties

### `Static` module

module: IModule

- Defined in src/offline/ServiceManager.js:135

## Methods

### cancel

- cancel(): void

- #### Returns void

  - Defined in src/offline/ServiceManager.js:98

### getOfflineService_

- getOfflineService_(serviceLike, method): unknown

- #### Parameters

  - serviceLike: unknown

    A service like.

  - method: string

    A method.

  #### Returns unknown

  A returned object.

  - Defined in src/offline/ServiceManager.js:57

### restore

- restore(map): Promise<Extent>

- Ask the provided service to restore the saved data on the map

  #### Parameters

  - map: Map

    The map to work on.

  #### Returns Promise<Extent>

  A promise to the extent of the downloaded area

  - Defined in src/offline/ServiceManager.js:126

### save

- save(extent, map): void

- Ask the provided service to save the data to an offline purpose

  #### Parameters

  - extent: Extent

    The extent to download.

  - map: Map

    The map to work on.

  #### Returns void

  - Defined in src/offline/ServiceManager.js:112

### setRestoreService

- setRestoreService(restoreLikeService): void

- Set the service to call on 'restore'

  #### Parameters

  - restoreLikeService: string | {
    restore: Function;
    }

    A service name that can be injected or an object that have a 'restore' method.

  #### Returns void

  - Defined in src/offline/ServiceManager.js:94

### setSaveService

- setSaveService(saveLikeService): void

- Set the service to call on 'save'.

  #### Parameters

  - saveLikeService: string | {
    save: Function;
    }

    A service name that can be injected or an object that have a 'save' method.

  #### Returns void

  - Defined in src/offline/ServiceManager.js:84

Generated using TypeDoc